org.codehaus.plexus.component.factory

## Class AbstractComponentFactory

- java.lang.Object
- - org.codehaus.plexus.component.factory.AbstractComponentFactory

All Implemented Interfaces:
  ComponentFactory

Direct Known Subclasses:
  JavaComponentFactory

    public abstract class AbstractComponentFactory
    extends Object
    implements ComponentFactory

Version:
  $Id: AbstractComponentFactory.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl

### Field Summary

Fields
`protected String` `id`

### Fields inherited from interface org.codehaus.plexus.component.factory.ComponentFactory

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractComponentFactory()`

### Method Summary

Methods
`String` `getId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.plexus.component.factory.ComponentFactory

`newInstance`

### Field Detail

#### id

    protected String id

### Constructor Detail

#### AbstractComponentFactory

    public AbstractComponentFactory()

### Method Detail

#### getId

    public String getId()

Specified by:
  `getId` in interface `ComponentFactory`